Bullet Collision Detection & Physics Library: btCharacterControllerInterface Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btCharacterControllerInterface Class Referenceabstract

`#include <btCharacterControllerInterface.h>`

Inheritance diagram for btCharacterControllerInterface:
[legend]
Collaboration diagram for btCharacterControllerInterface:
[legend]

## Public Member Functions
| btCharacterControllerInterface ()
virtual | ~btCharacterControllerInterface ()
virtual void | setWalkDirection (const btVector3 &walkDirection)=0
virtual void | setVelocityForTimeInterval (const btVector3 &velocity, btScalar timeInterval)=0
virtual void | reset (btCollisionWorld *collisionWorld)=0
virtual void | warp (const btVector3 &origin)=0
virtual void | preStep (btCollisionWorld *collisionWorld)=0
virtual void | playerStep (btCollisionWorld *collisionWorld, btScalar dt)=0
virtual bool | canJump () const =0
virtual void | jump (const btVector3 &dir=btVector3(0, 0, 0))=0
virtual bool | onGround () const =0
virtual void | setUpInterpolate (bool value)=0
Public Member Functions inherited from btActionInterface
virtual | ~btActionInterface ()
virtual void | updateAction (btCollisionWorld *collisionWorld, btScalar deltaTimeStep)=0
virtual void | debugDraw (btIDebugDraw *debugDrawer)=0

## Additional Inherited Members
Static Protected Member Functions inherited from btActionInterface
static btRigidBody & | getFixedBody ()

## Detailed Description

Definition at line 26 of file btCharacterControllerInterface.h.

## Constructor & Destructor Documentation

## ◆ btCharacterControllerInterface()

btCharacterControllerInterface::btCharacterControllerInterface | ( |  | ) |
| inline

Definition at line 29 of file btCharacterControllerInterface.h.

## ◆ ~btCharacterControllerInterface()

virtual btCharacterControllerInterface::~btCharacterControllerInterface | ( |  | ) |
| inlinevirtual

Definition at line 30 of file btCharacterControllerInterface.h.

## Member Function Documentation

## ◆ canJump()

virtual bool btCharacterControllerInterface::canJump | ( |  | ) | const
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ jump()

virtual void btCharacterControllerInterface::jump | ( | const btVector3 & | dir = `btVector3(0, 0, 0)` | ) |
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ onGround()

virtual bool btCharacterControllerInterface::onGround | ( |  | ) | const
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ playerStep()

virtual void btCharacterControllerInterface::playerStep | ( | btCollisionWorld * | collisionWorld,
|  | btScalar | dt
| ) |  |
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ preStep()

virtual void btCharacterControllerInterface::preStep | ( | btCollisionWorld * | collisionWorld | ) |
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ reset()

virtual void btCharacterControllerInterface::reset | ( | btCollisionWorld * | collisionWorld | ) |
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ setUpInterpolate()

virtual void btCharacterControllerInterface::setUpInterpolate | ( | bool | value | ) |
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ setVelocityForTimeInterval()

virtual void btCharacterControllerInterface::setVelocityForTimeInterval | ( | const btVector3 & | velocity,
|  | btScalar | timeInterval
| ) |  |
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ setWalkDirection()

virtual void btCharacterControllerInterface::setWalkDirection | ( | const btVector3 & | walkDirection | ) |
| pure virtual

Implemented in btKinematicCharacterController.

## ◆ warp()

virtual void btCharacterControllerInterface::warp | ( | const btVector3 & | origin | ) |
| pure virtual

Implemented in btKinematicCharacterController.

The documentation for this class was generated from the following file:

- btCharacterControllerInterface.h